VULKAN_HPP_NAMESPACE::ImageBlit Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageBlit:
[legend]

## Public Member Functions

| ImageBlit (ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), std::array< Offset3D, 2 > const &srcOffsets_={ { Offset3D(), Offset3D() } }, ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), std::array< Offset3D, 2 > const &dstOffsets_={ { Offset3D(), Offset3D() } })
| ImageBlit (VkImageBlit const &rhs)
ImageBlit & | operator= (VkImageBlit const &rhs)
ImageBlit & | setSrcSubresource (ImageSubresourceLayers srcSubresource_)
ImageBlit & | setSrcOffsets (std::array< Offset3D, 2 > srcOffsets_)
ImageBlit & | setDstSubresource (ImageSubresourceLayers dstSubresource_)
ImageBlit & | setDstOffsets (std::array< Offset3D, 2 > dstOffsets_)
| operator VkImageBlit const & () const
| operator VkImageBlit & ()
bool | operator== (ImageBlit const &rhs) const
bool | operator!= (ImageBlit const &rhs) const

## Data Fields

ImageSubresourceLayers | srcSubresource
Offset3D | srcOffsets [2]
ImageSubresourceLayers | dstSubresource
Offset3D | dstOffsets [2]

## Detailed Description

Definition at line 25302 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImageBlit() [1/2]

VULKAN_HPP_NAMESPACE::ImageBlit::ImageBlit | ( | ImageSubresourceLayers | srcSubresource_ = `ImageSubresourceLayers()`,
|  | std::array< Offset3D, 2 > const & | srcOffsets_ = `{ { Offset3D(), Offset3D() } }`,
|  | ImageSubresourceLayers | dstSubresource_ = `ImageSubresourceLayers()`,
|  | std::array< Offset3D, 2 > const & | dstOffsets_ = `{ { Offset3D(), Offset3D() } }`
| ) |  |

inline

Definition at line 25304 of file vulkan.hpp.

{ { Offset3D(), Offset3D() } },
ImageSubresourceLayers dstSubresource_ = ImageSubresourceLayers(),
std::array<Offset3D,2> const& dstOffsets_ = { { Offset3D(), Offset3D() } } )
: srcSubresource( srcSubresource_ )
, dstSubresource( dstSubresource_ )
{
memcpy( &srcOffsets, srcOffsets_.data(), 2 * sizeof( Offset3D ) );
memcpy( &dstOffsets, dstOffsets_.data(), 2 * sizeof( Offset3D ) );
}

## ImageBlit() [2/2]

VULKAN_HPP_NAMESPACE::ImageBlit::ImageBlit | ( | VkImageBlit const & | rhs | ) |

inline

Definition at line 25315 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageBlit ) );
}

References memcpy.

## Member Function Documentation

## operator VkImageBlit &()

VULKAN_HPP_NAMESPACE::ImageBlit::operator VkImageBlit & | ( |  | ) |

inline

Definition at line 25354 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageBlit*>(this);
}

## operator VkImageBlit const &()

VULKAN_HPP_NAMESPACE::ImageBlit::operator VkImageBlit const & | ( |  | ) | const

inline

Definition at line 25349 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageBlit*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageBlit::operator!= | ( | ImageBlit const & | rhs | ) | const

inline

Definition at line 25367 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImageBlit& VULKAN_HPP_NAMESPACE::ImageBlit::operator= | ( | VkImageBlit const & | rhs | ) |

inline

Definition at line 25320 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImageBlit ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageBlit::operator== | ( | ImageBlit const & | rhs | ) | const

inline

Definition at line 25359 of file vulkan.hpp.

{
return ( srcSubresource == rhs.srcSubresource )
&& ( memcmp( srcOffsets, rhs.srcOffsets, 2 * sizeof( Offset3D ) ) == 0 )
&& ( dstSubresource == rhs.dstSubresource )
&& ( memcmp( dstOffsets, rhs.dstOffsets, 2 * sizeof( Offset3D ) ) == 0 );
}

References dstOffsets, dstSubresource, srcOffsets, and srcSubresource.

Referenced by operator!=().

## setDstOffsets()

ImageBlit& VULKAN_HPP_NAMESPACE::ImageBlit::setDstOffsets | ( | std::array< Offset3D, 2 > | dstOffsets_ | ) |

inline

Definition at line 25343 of file vulkan.hpp.

{
memcpy( &dstOffsets, dstOffsets_.data(), 2 * sizeof( Offset3D ) );
return *this;
}

References dstOffsets, and memcpy.

## setDstSubresource()

ImageBlit& VULKAN_HPP_NAMESPACE::ImageBlit::setDstSubresource | ( | ImageSubresourceLayers | dstSubresource_ | ) |

inline

Definition at line 25337 of file vulkan.hpp.

{
dstSubresource = dstSubresource_;
return *this;
}

References dstSubresource.

## setSrcOffsets()

ImageBlit& VULKAN_HPP_NAMESPACE::ImageBlit::setSrcOffsets | ( | std::array< Offset3D, 2 > | srcOffsets_ | ) |

inline

Definition at line 25331 of file vulkan.hpp.

{
memcpy( &srcOffsets, srcOffsets_.data(), 2 * sizeof( Offset3D ) );
return *this;
}

References memcpy, and srcOffsets.

## setSrcSubresource()

ImageBlit& VULKAN_HPP_NAMESPACE::ImageBlit::setSrcSubresource | ( | ImageSubresourceLayers | srcSubresource_ | ) |

inline

Definition at line 25325 of file vulkan.hpp.

{
srcSubresource = srcSubresource_;
return *this;
}

References srcSubresource.

## Field Documentation

## dstOffsets

Offset3D VULKAN_HPP_NAMESPACE::ImageBlit::dstOffsets[2]

Definition at line 25375 of file vulkan.hpp.

Referenced by operator==(), and setDstOffsets().

## dstSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageBlit::dstSubresource

Definition at line 25374 of file vulkan.hpp.

Referenced by operator==(), and setDstSubresource().

## srcOffsets

Offset3D VULKAN_HPP_NAMESPACE::ImageBlit::srcOffsets[2]

Definition at line 25373 of file vulkan.hpp.

Referenced by operator==(), and setSrcOffsets().

## srcSubresource

ImageSubresourceLayers VULKAN_HPP_NAMESPACE::ImageBlit::srcSubresource

Definition at line 25372 of file vulkan.hpp.

Referenced by operator==(), and setSrcSubresource().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageBlit::dstSubresource
ImageSubresourceLayers dstSubresource
Definition: vulkan.hpp:25374
VkImageBlit
Definition: vulkan_core.h:2724
VULKAN_HPP_NAMESPACE::ImageBlit::ImageBlit
ImageBlit(ImageSubresourceLayers srcSubresource_=ImageSubresourceLayers(), std::array< Offset3D, 2 > const &srcOffsets_={ { Offset3D(), Offset3D() } }, ImageSubresourceLayers dstSubresource_=ImageSubresourceLayers(), std::array< Offset3D, 2 > const &dstOffsets_={ { Offset3D(), Offset3D() } })
Definition: vulkan.hpp:25304
VULKAN_HPP_NAMESPACE::ImageBlit::operator==
bool operator==(ImageBlit const &rhs) const
Definition: vulkan.hpp:25359
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImageBlit::srcSubresource
ImageSubresourceLayers srcSubresource
Definition: vulkan.hpp:25372
VULKAN_HPP_NAMESPACE::ImageBlit::dstOffsets
Offset3D dstOffsets[2]
Definition: vulkan.hpp:25375
VULKAN_HPP_NAMESPACE::ImageBlit::srcOffsets
Offset3D srcOffsets[2]
Definition: vulkan.hpp:25373